<!--
/*
'' ============================================================================================
'' 项目名称：{fyp_title}
'' 项目版本：{fyp_version}
'' 项目描述：{fyp_description}
'' 文件名称：js/js_web.js
'' 文件描述：[JavaScript] WEB处理函数库
'' 公司名称：{fyp_company}
'' 开发人员：{fyp_designer}
'' 创建日期：{fyp_created_date}
'' 修订日期：{system_date_time format="yyyy-MM-dd hh:mm:ss"}
'' 版权信息：{fyp_copyright}

'' 项目升级时需读取以下生成工具的版权信息
'' 生成工具：{fysoft_name}
'' 当前版本：{fysoft_version}
'' 官方网站：{fysoft_website}
'' ============================================================================================
*/

// ---------------------------------------------------
// 获取当前URL路径目录名，如：http://www.sino8848.com/user/
// Johnny LiuNu
function CurrentUrlPathFolder()
{
    return RegExpMatch("(.*/)", window.location.href, "$1");
}
// ---------------------------------------------------

// ---------------------------------------------------
// 获取URL路径中的参数，参数：strParmName 要获取的参数名
// 刘怒 Johnny LiuNu
function getUrlParm(strParmName)
{
    if (window.location.search.length != 0)
    {
        //取问号后的信息
        var strUrl = window.location.search.substr(1);
        var strUrlParms = strUrl.split("&");
        for (i=0; i < strUrlParms.length; i++)
        {
            if (strUrlParms[i].indexOf(strParmName + "=") >= 0)
            {
                return strUrlParms[i].substr(strParmName.length + 1);
                break;
            }
        }
        return "";
    }
}
// ---------------------------------------------------

// ---------------------------------------------------
// 设置cookies，传入值以escape编码，即ASP中Server.UrlEncode(str)
// 参数：cookie项名, 项值, 到期时间
function SetCookie(sName, sValue, sExpires)
{
    if (/(^[+-]?\d+$)/gi.test(sExpires))
    {
        var dt = new Date();
        var y = dt.getYear();
        //将2位年份补齐为4位
        y = y < 100 ? (1900 + y) : y;
        //设置1：过期的具体年月日
        //dt = new Date(y, dt.getMonth()+3, dt.getDate());
        //设置2：指定天数后到期
        dt.setTime(dt.getTime() + parseInt(sExpires) * 24 * 60 * 60 * 1000);

        document.cookie = sName + "=" + escape(sValue) +";expires=" + dt.toGMTString() + ";";
    }
    else
        document.cookie = sName + "=" + escape(sValue);
}

// 获取cookies，获取值以unescape解码，提供用户全局调用
// 参数：cookie项名
function GetCookie(sName)
{
    return GetCookieDo(sName, true);
}

// 获取cookies，提供系统局部调用
// 参数：cookie项名, 是否解码，一般用true
// &被转换为%26 ;被转换为%3B =转换为%3D 一个键中多个字段用&连接 如：user=userGender=Male&userName=Johnny; province=Hunan;
function GetCookieDo(sName, bUnescape)
{
   var aCookie = document.cookie;
   aCookie = aCookie.split("; ");
   for (var i = 0; i < aCookie.length; i++)
   {
      var aCrumb = aCookie[i].split("=");
      if (sName == aCrumb[0])
      {
         var strValue = aCookie[i].substr(aCookie[i].indexOf("=") + 1);
         if (bUnescape)
            return unescape(strValue);
         else
            return strValue;
      }
   }
   return "";
}

// 设置cookie的子项值
// 参数：cookie主项名, cookie子项名, 子项值, 到期时间
function SetCookieSub(sMainName, sName, sValue, sExpires)
{
    var mainCookie = GetCookieDo(sMainName, false);
    var strPattern = "(" + sName + ")(=)([^&]*)(&|$)";
    var reg = new RegExp(strPattern, "igm");
    //先删除原数据再增加
    mainCookie = mainCookie.replace(reg, "");
    var theCookie = "";
    if (mainCookie.length == 0)
    {
        theCookie = sMainName + "=" + sName + "=" + escape(sValue) + ";";
    }
    else
    {
        theCookie = sMainName + "=" + mainCookie + "&"  + sName + "=" + escape(sValue) + ";";
    }

    if (/(^[+-]?\d+$)/gi.test(sExpires))
    {
        var dt = new Date();
        var y = dt.getYear();
        y = y < 100 ? (1900 + y) : y;
        dt.setTime(dt.getTime() + parseInt(sExpires) * 24 * 60 * 60 * 1000);
        document.cookie = theCookie + "expires=" + dt.toGMTString() + ";";
    }
    else
        document.cookie = theCookie;
}

// 获取cookie的子项值
// 参数：cookie主项名, cookie子项名
function GetCookieSub(sMainName, sName)
{
    var mainCookie = GetCookieDo(sMainName, false);
    mainCookie = mainCookie.split("&");
    for (var i = 0; i < mainCookie.length; i++)
    {
        var aCrumb = mainCookie[i].split("=");
        if (sName == aCrumb[0])
        {
            return unescape(mainCookie[i].substr(mainCookie[i].indexOf("=") + 1));
        }
    }
    return "";
}
// ---------------------------------------------------
-->